Skip to main content
POST
/
apps
/
{appId}
/
extensions
/
push-notification
/
v1
/
upload-certificate-p12
Push notification Upload p12 Certificate
curl --request POST \
  --url https://apimgmt.cometchat.io/apps/{appId}/extensions/push-notification/v1/upload-certificate-p12 \
  --header 'Content-Type: multipart/form-data' \
  --header 'key: <key>' \
  --header 'secret: <secret>' \
  --form certificate='@example-file'
{
  "data": {
    "statusCode": 200,
    "success": true,
    "body": {
      "certificate_p12": true,
      "certificate_p8": true
    },
    "responseTime": 0.14275598526000977
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-android-v6-beta2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Headers

key
string
required

Authorization Key

secret
string
required

Authorization Secret

Path Parameters

appId
string
required

AppID in which the extension has to be enabled/disabled

Body

multipart/form-data
certificate
file
required

Upload Certificate

Response

200 - application/json

Query Certificate

data
object